Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043584
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] B. User interfaceminoralways2020-03-25 17:132020-03-30 10:30
Reporterjoniturralde93View Statuspublic 
Assigned Toalostale 
PriorityimmediateResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision963b1136e42a
ProjectionnoneETAnoneTarget Version3.0PR20Q1.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release3.0PR19Q3
Regression introduced by commithttps://gitlab.com/openbravo/product/openbravo/-/commit/1894bfea7d6#7a285d1549149911e055ca745223e6079626867e [^]
Triggers an Emergency PackNo
Summary

0043584: Alerts don't show in the main button, only in alert management window

DescriptionAlerts which alert rule is defined in an organization different than * are not counted in the Alert widget in the main window top bar.
Steps To Reproduce1. Create a new alert rule in any organization different than * with this sql query:
SELECT i.c_order_id AS referencekey_id, i.documentno AS record_id, 0 AS ad_role_id, null AS ad_user_id, '' || i.documentno || ' se ha creado.' AS description, 'Y' AS isactive, i.ad_client_id, i.ad_org_id, now() AS created, 0 AS createdby, now() AS updated, 0 AS updatedby FROM c_order i WHERE i.created >= to_date('20-03-2020','dd-MM-yyyy')

2. Create a sales order

3. Create a new process request: Run immediately, alert process. Run the alert process.

4. At the top of the screen, it shows: Alerts (0), however, if you click on it, there is a new alert in the alert management window. The top button won't update by refreshing or waiting.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0043579 resolvedalostale Alerts don't show in the main button, only in alert management window 

-  Notes
(0118867)
hgbot (developer)
2020-03-30 10:30

Repository: erp/backports/3.0PR20Q1.1
Changeset: 963b1136e42acf93ffe0e84eab0b6ae5ec00b127
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 26 07:43:14 2020 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR20Q1.1/rev/963b1136e42acf93ffe0e84eab0b6ae5ec00b127 [^]

fixed BUG-43584: alerts not counted in main top bar widget

  Alerts defined whose alert rule was defined in an organization
  different than * were not counted in main top bar widget.

  Parameter to set filter out not readeable organizations was
  incorrectly setting clients instead of organizations.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertActionHandler.java
---

- Issue History
Date Modified Username Field Change
2020-03-26 07:38 alostale Type defect => backport
2020-03-26 07:38 alostale Target Version => 3.0PR20Q1.1
2020-03-30 10:30 hgbot Checkin
2020-03-30 10:30 hgbot Note Added: 0118867
2020-03-30 10:30 hgbot Status scheduled => resolved
2020-03-30 10:30 hgbot Resolution open => fixed
2020-03-30 10:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR20Q1.1/rev/963b1136e42acf93ffe0e84eab0b6ae5ec00b127 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker